Page MenuHomePhabricator

$wgDisableAnonTalk does not keep auto summary from linking to anon talk and user pages.
Closed, ResolvedPublic

Description

Setting $wgDisableAnonTalk to true does not keep auto summary from linking to anon talk and user pages as expected.


Version: unspecified
Severity: normal

Details

Reference
bz29539
Related Gerrit Patches:

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 21 2014, 11:30 PM
bzimport set Reference to bz29539.
bzimport added a subscriber: Unknown Object (MLST).
Bachsau created this task.Jun 22 2011, 9:40 PM

This occurs, for example, if you rollback changes by an anonymous user.

DannyS712 added a subscriber: DannyS712.

These is hard-coded in multiple different places; I've found it in the automatic undo summary, and the automatic rollback summary. Will patch those 2 places soon - are there others @Bachsau?

Restricted Application added a project: User-DannyS712. · View Herald TranscriptAug 22 2019, 1:13 AM
DannyS712 moved this task from Unsorted to Next on the User-DannyS712 board.Aug 22 2019, 9:47 AM
Bachsau added a comment.EditedAug 23 2019, 1:05 AM

None that I remember. You are fast. It has only been eight years since I reported this.

Change 532278 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Make wgDisableAnonTalk disable anon links in automatic edit summaries

https://gerrit.wikimedia.org/r/532278

Bachsau removed a subscriber: Bachsau.Aug 27 2019, 4:01 AM

Change 532278 merged by jenkins-bot:
[mediawiki/core@master] Make wgDisableAnonTalk disable anon links in automatic edit summaries

https://gerrit.wikimedia.org/r/532278

DannyS712 closed this task as Resolved.Sep 8 2019, 3:17 AM